; homeall.g
; called to home all axes
;


G91                     ; relative positioning
G1 H2 Z5 F6000          ; lift Z relative to current position
G1 H1 X-625 Y-605 F3600 ; move quickly to X and U axis endstops and stop there (first pass)
G1 H1 X-625 F1800 ; move quickly to X and U axis endstops and stop there (first pass)
G1 H1 Y-605 F1800 ; move quickly to X and U axis endstops and stop there (first pass)
G1 H2 X5 Y5 F6000       ; go back a few mm
G1 H1 X-625 Y-605 F360  ; move slowly to X and U axis endstops once more (second pass)
G1 H1 X-625 F360  ; move slowly to X and U axis endstops once more (second pass)
G1 H1 Y-605 F360  ; move slowly to X and U axis endstops once more (second pass)

G90                     ; absolute positioning
G1 X250 Y250 F10000     ; go to first probe point
G30                     ; home Z by probing the bed

G91                    ; relative positioning
G1 Z5 F100             ; lift Z relative to current position
G90                    ; absolute positioning
G1 X15 Y15 F10000

